Name:		perl-Image-ExifTool
Version:	6.77
Release:	1%{?dist}
License:	GPL or Artistic
Group:		Applications/Multimedia
Summary:	Utility for reading and writing image meta info
URL:		http://www.sno.phy.queensu.ca/%7Ephil/exiftool/
Source0:	http://www.sno.phy.queensu.ca/%7Ephil/exiftool/Image-ExifTool-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl >= 1:5.6.1
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
ExifTool is a Perl module with an included command-line application for 
reading and writing meta information in image files. It reads EXIF, GPS, IPTC,
XMP, JFIF, GeoTIFF, ICC Profile, Photoshop IRB, FlashPix, AFCP, and ID3 meta 
information from JPG, JP2, TIFF, GIF, PNG, MNG, JNG, MIFF, EPS, PS, AI, PDF, 
PSD, BMP, THM, CRW, CR2, MRW, NEF, PEF, ORF and DNG images. ExifTool also 
extracts information from the maker notes of many digital cameras by various 
manufacturers including Canon, Casio, FujiFilm, JVC/Victor, Kodak, Leaf,
Minolta/Konica-Minolta, Nikon, Olympus/Epson, Panasonic/Leica, Pentax/Asahi, 
Ricoh, Sanyo, Sigma/Foveon, and Sony.

%prep
%setup -q -n Image-ExifTool-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README Changes
%{_bindir}/exiftool
%{perl_vendorlib}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Wed Feb 21 2007 Tom "spot" Callaway <tcallawa@redhat.com> 6.77-1
- bump to 6.77

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 6.69-1

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 6.40-1
- bump to 6.40

* Wed Aug  2 2006 Tom "spot" Callaway <tcallawa@redhat.com> 6.30-1
- bump to 6.30
 
* Tue Jul 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 6.26-2
- clean up the places where "use the" shows up in the code as a workaround

* Fri Jul  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 6.26-1
- bump to 6.26

* Mon Apr 24 2006 Tom "spot" Callaway <tcallawa@redhat.com> 6.15-1
- bump to 6.15

* Fri Mar 31 2006 Tom "spot" Callaway <tcallawa@redhat.com> 6.09-1
- bump to 6.09

* Tue Jan 10 2006 Tom "spot" Callaway <tcallawa@redhat.com> 5.89-1
- bump to 5.89

* Thu Aug  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 5.53-1
- initial package for Fedora Extras
